Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.plastic.theme
Class DesertBluer

    java.lang.Object
      javax.swing.plaf.metal.MetalTheme
          javax.swing.plaf.metal.DefaultMetalTheme
              com.jgoodies.looks.plastic.PlasticTheme
                  com.jgoodies.looks.plastic.theme.SkyBluer
                      com.jgoodies.looks.plastic.theme.DesertBluer

Direct Known Subclasses:
  DesertBlue, ExperienceBlue, ExperienceRoyale

    public class DesertBluer

extends SkyBluer

A theme with medium saturated blue primary colors and a light brown window background.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch

Field Summary

Fields inherited from class com.jgoodies.looks.plastic.PlasticTheme
`BLACK, BRIGHTEN_START, BRIGHTEN_STOP, DARKEN_START, DARKEN_STOP, LT_BRIGHTEN_STOP, LT_DARKEN_STOP, WHITE`

Constructor Summary
`DesertBluer()`

Method Summary
`ColorUIResource` | `getFocusColor()`
`ColorUIResource` | `getHighlightedTextColor()`
`ColorUIResource` | `getMenuItemSelectedBackground()`
`String` | `getName()`
`protected ColorUIResource` | `getPrimary1()`
`protected ColorUIResource` | `getPrimary2()`
`protected ColorUIResource` | `getPrimary3()`
`protected ColorUIResource` | `getSecondary1()`
`protected ColorUIResource` | `getSecondary2()`
`protected ColorUIResource` | `getSecondary3()`
`ColorUIResource` | `getTextHighlightColor()`

Methods inherited from class com.jgoodies.looks.plastic.theme.SkyBluer
`addCustomEntriesToTable, getMenuItemSelectedForeground, getMenuSelectedBackground`

Methods inherited from class com.jgoodies.looks.plastic.PlasticTheme
`equals, getBlack, getControlTextFont, getFontSet, getMenuForeground, getMenuItemBackground, getMenuTextFont, getSimpleInternalFrameBackground, getSimpleInternalFrameForeground, getSubTextFont, getSystemTextColor, getSystemTextFont, getTitleTextColor, getTitleTextFont, getToggleButtonCheckColor, getUserTextFont, getWhite, getWindowTitleFont, hashCode`

Methods inherited from class javax.swing.plaf.metal.MetalTheme
`getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesertBluer

    public DesertBluer()

Method Detail

### getName

    public String getName()

  Overrides:
    `getName` in class `SkyBluer`

### getPrimary1

    protected ColorUIResource getPrimary1()

  Overrides:
    `getPrimary1` in class `SkyBluer`

### getPrimary2

    protected ColorUIResource getPrimary2()

  Overrides:
    `getPrimary2` in class `SkyBluer`

### getPrimary3

    protected ColorUIResource getPrimary3()

  Overrides:
    `getPrimary3` in class `SkyBluer`

### getSecondary1

    protected ColorUIResource getSecondary1()

  Overrides:
    `getSecondary1` in class `SkyBluer`

### getSecondary2

    protected ColorUIResource getSecondary2()

  Overrides:
    `getSecondary2` in class `SkyBluer`

### getSecondary3

    protected ColorUIResource getSecondary3()

  Overrides:
    `getSecondary3` in class `SkyBluer`

### getTextHighlightColor

    public ColorUIResource getTextHighlightColor()

  Overrides:
    `getTextHighlightColor` in class `MetalTheme`

### getHighlightedTextColor

    public ColorUIResource getHighlightedTextColor()

  Overrides:
    `getHighlightedTextColor` in class `MetalTheme`

### getMenuItemSelectedBackground

    public ColorUIResource getMenuItemSelectedBackground()

  Overrides:
    `getMenuItemSelectedBackground` in class `SkyBluer`

### getFocusColor

    public ColorUIResource getFocusColor()

  Overrides:
    `getFocusColor` in class `SkyBluer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.